* {
    padding: 0;
    margin: 0; 
    font-family: Arial, Helvetica, sans-serif;   
}

::-webkit-scrollbar {
  width: 7px;

}

::-webkit-scrollbar-track {
  background: #f1f1f1; 
}

::-webkit-scrollbar-thumb {
  background: #888; 
}

::-webkit-scrollbar-thumb:hover {
  background: #555; 
}

::-webkit-scrollbar-border {
  border: 1px solid white; 
}





::-moz-selection { /* Code for Firefox */
    color: red;
   
  }
::selection {
    color: red;
    
}
.white{
    color: white;
}
p{
    line-height: 30px;
    font-family: Arial, Helvetica, sans-serif;
    text-align: justify;
}


a {
    text-decoration: none;
}
a:hover {
    color: red;
}



                /* navbar  */
            

nav{
    position: sticky;
    top: 0;
    z-index: 1;
}

.closebtright {
    display: none;
}
.logo img {
   height: 70px; 
   margin: 0px;
   padding: 0px;
   vertical-align: middle;
   overflow: visible;
   
}
.navbar {
    background-color: rgb(255, 246, 246);
    box-shadow: 0 0 7px 3px gray;
    text-align: left;
    position: sticky;
    top: 0;
    z-index: 1;
  
}

.navbar ul {
    list-style: none;
    display: inline-flex;
    box-sizing: border-box;

}
.navbar ul li {
    line-height: 49px;
    vertical-align: middle;
}
/* .navbar ul li li a {
    color: navy;
} */
.navbar ul a {
    color: rgb(0, 0, 160);
    text-decoration: none;
    padding: 15px;
    padding-right:5px;
    margin-right: 7px;
    width: 8%;
    font-size: 20px;
    font-weight: bold;
    font-family: Arial, Helvetica, sans-serif;

    
}
.navbar ul a:hover {
   
    color: rgb(255, 0, 0);
    animation-name: subnameeffect;
    animation-duration: 0.1s;
    animation-iteration-count: 1;
}
.subnav {
    display: none;
}

.navbar ul li:hover .subnav {
    display: block;
    background-color: white;
    position: absolute;
    margin: 0;
    padding: 0;
    animation-name: subnameeffect;
    animation-duration: 0.5s;
    animation-iteration-count: 1;
}

@keyframes subnameeffect{
    0% {
        background-color: rgba(255, 255, 255, 0);
        color:rgba(0, 0, 128, 0);
        
        
    }
    100% {
        color: navy;
        
    }
}

.navbar ul li:hover .subnav ul {
    display: block;
    
    
}

.navbar ul li:hover .subnav ul li {
line-height: 30px;
border-bottom: navy dotted 1px;
transition: 1s;

}

.prhide{
    display: none;
}
.prmenu{
    display: none;
}

/* .subnavmain a:hover {
background-color: white;
line-height: 35px;
} */

h1 {
    
    margin-top: 50%;
    margin-left: 5px;
    font-size: 20px;
    
}


/* footer  */
footer{
    background-color: rgb(3, 3, 187);
    margin-top: 25px;
    
}

.footer {
    display: flex;
    flex-wrap: nowrap;
    background-color: navy;
    width: 85%;
    margin: auto;
}
.footer a{
    text-decoration: none;
    color: blanchedalmond;
}
.footer a:hover{
    text-decoration: none;
    color: rgb(170, 255, 0);
}
.footer1, .footer2, .footer3  {
    width: 33.33%;
    background-color: rgb(3, 3, 187);
    text-align: justify;
    padding: 8px 8px 8px 8px;
    color: blanchedalmond;
    font-family: Arial, Helvetica, sans-serif;
    font-weight:500;
    line-height: 30px;
}

.footer h1 {
    margin: 10vh 0 10px 0;
    color: white;
    font-family: Arial, Helvetica, sans-serif;
}
.greenyellow {
    color: greenyellow;
    margin: 0 10px 0 0;

}
.footer1{
    
    padding: 0px 20px 0px 5px;
    width: 33%;
    border-right: 2px dotted white;
}

.footer1 img{
    border-bottom: 4px solid rgb(123, 206, 0);
    margin: 0px 0px 0px 0px;
    
    height: 10vh;
}

.footer2{
    border-right: 2px dotted white;
    width: 30%;
}

.footer2 a{
    font-size: 20px;
}

.footer2 .icon-margin{
    background-color: white;
    padding: 0px;
    border-radius: 5px;
}

.footer ul, .footer ul li{
    list-style: none;
    color: rgb(201, 231, 201);
    font-family: Arial, Helvetica, sans-serif;
    line-height: 30px;
    
}
.footer3{
    text-align: left;
    font-size: 11px;
    width: 40%;
}
.footer3 a{
    font-size: 14px;
}

.utube {
    color: red;
    /* background-color:rgb(9, 255, 0); */
    height: 85px;

}
.icon-margin {
    margin: 5px 10px 0 10px;
    /* background-color: rgb(255, 0, 0); */
    font-size: 1.5em;
}


.copyr {
    background-color: rgb(255, 255, 255);
    color: rgb(6, 0, 56);
    padding: 5px;
    text-align: center;
    font-family: 'Roboto', sans-serif;

}




.blinking {
    animation-name: blinking;
    animation-iteration-count: infinite;
    animation-duration: 0.5s;
}


@keyframes blinking {
    0% {color:rgb(201, 0, 0);}
    50% {color:rgb(21, 177, 0)}
    100% {color:rgb(18, 1, 255)}
    
}
.footer .learnmore {
    margin-bottom: 100px;
}

.learnmore, .learnmore a {
    color: rgb(0, 255, 0);
    text-decoration: none;
}

.admbtn {
    /* background-color: rgb(0, 196, 16); */
    width: 100%;
    margin: auto;
    text-align: center;
}
.admbtn h1{
    font-size: 40px;
}


.admbtn{
    color: navy;
    
}
.admbtn p{
    text-align: center;
    color: rgba(22, 22, 22, 0.719);
    font-weight: 600;
}

.admbtn a {
    height: 30px;
    padding: 15px;
    color: white;
    background-color: navy;
    margin-top: 10px;
    font-size: 20px;
    border-bottom: 4px solid rgb(172, 255, 5);
    font-weight: 550;
}
.btn {
    margin-top: 30px;
    
}

.admbtn a:hover {
    height: 30px;
    padding: 20px;
    color: white;
    background-color: #008b28;
    margin-top: 10px;
    font-size: 20px;
    border-bottom: 4px solid rgb(172, 255, 5);
   
    animation-name: button;
    animation-duration: 0.5s;
    animation-iteration-count: 1s;
}
@keyframes button{
    from {
        background-color: navy;
        background-size: 1px;
        background-position: left ;
        padding: 15px;
       
        
        
        }
    to {
        background-size: 100%;
        
      
    }
}

/* ---pages css ---  */

.pageh1 {
    position: absolute;
    margin: 12vh 5px 5px 3vw;
    font-size: 30px;
    color: rgb(0, 255, 0);
    
    

}
.headerlink {
    position: absolute;
    margin: 8vh 5px 5px 3vw;
    font-size: 20px;
    color: rgb(0, 255, 0);
}
.headerlink a{
    color: rgb(255, 255, 255);
}
.headerlink a:hover{
    color: rgb(255, 0, 0);

}

.pageheader {
    width: 100%;
    height: 25vh;
    margin-top: 2vh;
    margin-bottom: 5vh;
    background-image: url(../img/pagebg.jpg);
    background-repeat: no-repeat;
    background-size: cover;
}


.schooltime {
    background-color: rgb(0, 0, 145);
    color: white;
    width: 43vh;
    padding: 20px;
    line-height: 40px;
    box-shadow: 0px 0px 20px 10px rgba(88, 54, 54, 0.514);
    margin: 5px 5px 15px 35px;
    border-bottom: 4px solid rgb(170, 255, 0);
    float: right;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 0.9em;
}
.schooltime:hover {
    background-color: rgb(0, 0, 145);
    color: white;
    width: 43vh;
    padding: 20px;
    line-height: 43px;
    box-shadow: 0px 0px 25px 15px rgba(88, 54, 54, 0.514);
    margin: 5px 5px 15px 35px;
    border-bottom: 4px solid rgb(170, 255, 0);
    border-top: 4px solid rgb(170, 255, 0);
    float: right;
    font-family: Arial, Helvetica, sans-serif;
    transition: 1s;
    
    
}
.schooltime h2{
    text-align: center;
}
.schooltime .divleft  {
    float: left;
    width: 40%;
}
.schooltime .divright {
    float: left;
    width: 60%;
}
.container {
    width: 75%;
    margin: auto;
    color: navy;
    
    /* background-color: black; */
}
.container h2{
    margin-top: 10px;
    
    /* background-color: black; */
}

.schooltimepage div{
    line-height: 60px;
    font-size: 20px;
    border-top: 2px solid green;
    font-weight: 550;
    
}
.schooltimepage {
    
    margin: auto;
    text-align: center;
    background-color: rgb(255, 255, 255);
    color: navy;
    padding: 30px;
    font-family: Arial, Helvetica, sans-serif;
}
.schooltimepage:hover {
    
    margin: auto;
    text-align: center;
    background-color: rgb(255, 255, 255);
    color: navy;
    padding: 30px;
    border: 1px solid black;
    border-radius: 15px;
    box-shadow: 0 0 10px 5px gray;

}

.schooltimepage .divleft{
    float: left;
    width: 50%;
    
}
.schooltimepage .divright{
    float: right;
    
    width: 50%;
}


.container p {
    color: rgba(0, 0, 0, 0.63);
    font-weight:bold;
}
.container h2 {
    margin-bottom: 10px;
    text-shadow: 2px 0.1px 10px  rgb(128, 128, 128);
    font-weight: 700;
    font-size: 20px;
}
.container ul li{
   
        color: rgba(0, 0, 0, 0.63);
        font-weight:bold;
        /* list-style-position: inside; */
        line-height: 30px;
        font-family: Arial, Helvetica, sans-serif;
        text-align: justify;
        margin-left: 17px;
    }
    .container a{
        font-size: 20px;
    }  
.container ul a:visited {
    
        color: rgb(0, 0, 255);
    }
    .container ul a:hover {
    
        color: rgb(255, 0, 0);
    }

/* fee container  */
.feecontainer {
    width: 80%;
    margin: auto;
    color: rgba(0, 0, 0, 0.74);
}
.feecontainer table{
    width: 100%;
}
.feecontainer table, .feecontainer th, .feecontainer td  {
    border: 1px solid rgba(128, 128, 128, 0.658);
    border-collapse: collapse;
    text-align: center;
   
    
}

.feecontainer th, .feecontainer td {
    height: 6vh;
   
}

.feecontainer .subhead {
    background-color: rgb(27, 114, 0);
    color: white;
}
.download div{
    background-color: navy;
    width: 250px;
    margin: auto;
    padding: 30px;
    margin-top: 30px;
    margin-bottom: 30px;
    text-align: center;
    font-size: 20px;
    
}
.download div:hover{
    background-color: rgb(26, 128, 0);
    width: 250px;
    margin: auto;
    padding: 30px;
    margin-top: 30px;
    margin-bottom: 30px;
    text-align: center;
    font-size: 20px;
    animation-name: download;
    animation-duration: 1s;
    animation-iteration-count: 1;
    
    
}

@keyframes download {
    from{background-color: navy;}
    to{background-color: rgb(26, 128, 0);}
}

.download div a{
color: white;

    
}
.feecontainer .grandtotal {
    background-color: rgb(0, 0, 0);
    color: white;
}

.feecontainer th {
    background-color: navy;
    color: white;
}
.feecontainer tbody {
    font-weight: 700;
}
.feecontainer tr:nth-child(even){
    background-color: rgba(226, 225, 225, 0.61);
}
.feecontainer tbody tr:hover{
    background-color: yellow;
    color: red;
  
}
.feecontainer h2{
    color: rgba(0, 0, 128, 0.829);
    margin: 10px;
    margin-top: 20px;
}

/* gallary  */


.container-gallery{
    width: 95%;
    padding-bottom: 3500px;
    background-color: navy;
    margin: auto;
   
}

.container-gallery22_23{
    width: 95%;
    padding-bottom: 700px;
    background-color: navy;
    margin: auto;
   
}

.container-gallery h3{
    color: white;
    padding: 10px;
    border-bottom: 2px dotted rgb(247, 0, 0);
    display: block;
    margin-top: 550px;
}
.glrcontainer {
    width: 24.5%;
    margin: auto;
    position: relative;
    float: left;
    border: 2px dashed rgb(255, 255, 255);
    box-sizing: border-box;
    margin: 9px 0.25% auto 0.25%;
    animation-name: glranimation;
    animation-duration: 1.5s;
    animation-iteration-count: 1s;
    
}
@keyframes glranimation {
    from {width: 0%;
    height: 0px;}
    to{width: 24.5%;
    }
   
}
@keyframes glranimation2 {
    0%{width: 0%;
    height: 0px;}

    80%{width: 100%;
    height: 10px;}

    100%{width: 100%;    }
   
}


.glrcontainer .img{
    
    height: 250px;
    animation-name: glranimation2;
    animation-duration: 1s;
    animation-iteration-count: 1s;
    
    
}
.overlayglr {
    position: absolute;
    background-color: palevioletred;
    bottom: 0;
    height: 14%;
    width: 100%;
    opacity: 0;
    /* animation-name: glrimgtext;
    animation-duration: 1s;
    animation-iteration-count: infinite;
  */


}
@keyframes glrimgtext{
    0%{height: 1%;
    color: rgba(51, 255, 0, 0);}
    100% {height: 14%;}
}

.glrimgtext {
    /* position: absolute; */
    bottom: 0;
    color: white;
    text-align: center;
    padding: 5px;
    font-family: Arial, Helvetica, sans-serif;
    /* animation-name: glrimgtext;
    animation-duration: 1s; */


}

.container-gallery img{
    display: block;
    width: 100%;
    margin: 0;
    padding: 0;
    height: auto;
    
}

.glrcontainer:hover .overlayglr, .glrcontainer:hover .glrimgtext{
    opacity: 1;
    animation-name: glrimgtext;
    animation-duration: 0.5s;
    animation-iteration-count: 1;
 
    


}

.container-gallery .firsthead{
    margin-top: auto;
}




/* contact us  */


.contact h1{
    margin-top: 10px;
    text-align: center;
}

p .boldtext{
    font-weight: 800;
}


.firstpaira{
    margin-top: 15px;
}


footer iframe {
    width: 40vw;
}


/* online registration page  */
.formcontainer {
    width: 70%;
    margin: auto;
    margin-top: 30px;
    background-color: rgb(219, 218, 218);
    
}


h2 p{
    font-size:10px;
}

.formcontainer h1{
    margin-top: auto;
    background-color: navy;
    color: white;
    text-align: center;
    padding: 7px 0px 7px;
    
    
}

.formcontainer div{
    margin: 5px 0px 5px 8vw;
    font-size: 16px;
    color: rgb(30, 0, 199); 
    font-weight: 550;
}
.formcontainer input[type=text], select {
    font-size: 15px;
    width: 18vw;
    padding: 8px 20px;
    margin: 1px 15px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
}
.formcontainer  .oneline[type=text], select {
    font-size: 15px;
    width: 38.7vw;
    padding: 8px 20px;
    margin: 1px 15px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
}
.formcontainer  .oneline[type=date], select {
    font-size: 15px;
    width: 38.7vw;
    padding: 8px 20px;
    margin: 1px 15px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
}
.formcontainer  .oneline[type=email], select {
    font-size: 15px;
    width: 38.7vw;
    padding: 8px 20px;
    margin: 1px 15px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
}.formcontainer  input[type=select], select {
    font-size: 15px;
    width: 38.7vw;
    padding: 8px 20px;
    margin: 1px 15px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
}

.formcontainer .submitbtn{
    margin-top: 50px;
    padding-bottom: 7vh;
}
.formcontainer  .submit{
    font-size: 15px;
    width: 38vw;
    padding: 8px 20px;
    margin: 1px 15px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
    text-align: center;
    background-color: green;
    color: white;

}

.formcontainer input:hover{
    font-size: 15px;
}
.formcontainer ::placeholder{
    color: rgba(252, 0, 0, 0.562);
    text-align: center;
    background-color: rgba(255, 255, 255, 0.281);

}

.red{
    color: red;
}
.formcontainer p{
    display: inline;
}
.formcontainer .head{
 border-bottom: 2px dotted red; 
 margin: auto;
 text-align: left;
 margin-top: 10px; 
 margin-left: 10px;
 color: red;

}   

.cclass {
    width: 18vw;
}

 .formcontainer .decl{
    margin-left: 0px;
    text-align: justify;
    display: block;
    margin-right: 17vw;
    color: red;
    margin-bottom: 10px;
}


/* admission enquiry  */

.enquiry {
    background-color: rgba(207, 207, 207, 0.5);
    border: 2px solid black;
}
.formcontainer2 h2 {
    background-color: green;
    text-align: center;
    color: white;
   
    margin: 0;
}

.enqform {
 font-size: 20px;
 padding: 25px;
 line-height: 50px;
 color: navy;
 text-align: center
}
.enqform input[type=select], select {
    font-size: 15px;
    width: 38.7vw;
    padding: 8px 20px;
    margin: 1px 15px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;

}
.formcontainer2 input[type=text], select {
    font-size: 15px;
    width: 38.7vw;
    padding: 8px 20px;
    margin: 1px 15px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;

}.formcontainer2 input[type=email], select {
    font-size: 15px;
    width: 38.7vw;
    padding: 8px 20px;
    margin: 1px 15px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;

}
.formcontainer2 input[type=tel], select {
    font-size: 15px;
    width: 38.7vw;
    padding: 8px 20px;
    margin: 1px 15px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;

}

.formcontainer2 ::placeholder{
    color: rgba(252, 0, 0, 0.562);
    text-align: center;
    background-color: rgba(255, 255, 255, 0.281);

}

.enqform .formcontainer2 div {
    margin: 0;
    line-height: 72px;
    
}

.enqform .formcontainer2 .submit {
    padding: 25px;
    margin-bottom: 35px;
    
}

.enqform .formcontainer2 {
    border: 2px solid black;
}

.enqform .formcontainer2 .submit:hover {
    padding: 25px;
    margin-bottom: 35px;
    background-color: navy;
        cursor:pointer;
    font-size: 25px;
        animation-name: submithover;
    animation-iteration-count: 1;
    animation-duration: 1s;

}
.formcontainer2  .submit{
    font-size: 15px;
    width: 38vw;
    padding: 8px 20px;
    margin: 1px 15px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
    text-align: center;
    background-color: green;
    color: white;

}

@keyframes submithover {
    0% {background-color: green;font-size: 5px;}
    100% {background-color: navy;
         font-size: 25px;}
}

.formcontainer2 {
    background-color:rgba(218, 210, 210, 0.562);
}



/* philosphy  */


.anthem {
    text-align: center;
    border: 2px solid gray;
    width: 50%;


}

.anthem p {
    text-align: center;

}

.container ol {
    color: rgb(87, 87, 87);
    font-weight: 600;
    line-height: 30px;
    text-align: justify;
    list-style-position: inside;
    
    
}

.container ol b{
    font-weight: 700;
    color: rgb(41, 40, 40);
}

.paira div {
    margin-bottom: 10px;
    tab-size: 10px;
}

.paira .table{
    margin-left: 40px;
}

.paira tr, .paira td {
    padding: 5px;
    color: rgb(73, 68, 68);
    font-weight: 600;
}





/* desk of principal */ 

.pspace {
    
    margin-bottom: 10px;
  
}


.sign {
    line-height:20px;
    margin-top:20px;
    color:navy;
}


/*from the desk of principal */

.deskimg img{
    float:right;
    height:170px;
    border:4px solid navy;
    padding: 5px;
    margin: 0px 0px 05px 40px; 
    border-radius:2px;

}


.table2 {
    margin-left:5px;
}


/*Whatsapp connect */

.whatsapp a {
    background-color:Green;
    padding:10px;
    border-radius:5px;
    color:white;
}

.glrnew {
    width:750px;
    height:85vh;
}


.glrnewbtn {
    background-color:green;
    color:white;
    padding:9px;
    border:1px solid gray;
    font-size:30px;
    margin-bottom:40px;
    margin-top:5px;
    border-radius: 7px;
}



@keyframes glrbtn {
  0%{background-color: green;border-bottom:0px solid red;}
  50% {background-color: blue;border-bottom:3px solid none;}
  100% {background-color: darkblue;border-bottom:6px solid red;}
}


.glrnewbtn:hover {
    background-color:darkblue;
    color:white;
    padding:9px;
    border:1px solid gray;
    font-size:30px;
    margin-bottom:40px;
    margin-top:5px;
    border-radius: 7px;
    animation-name:glrbtn;
    animation-duration: 1s;
    border-bottom:6px solid red;
    
}



.loader {
  width: 120px;
  height: 20px;
  -webkit-mask: radial-gradient(circle closest-side,#000 94%,#0000) left/20% 100%;
  background: linear-gradient(#000 0 0) left/0% 100% no-repeat #ddd;
  animation: l17 2s infinite steps(6);
}
@keyframes l17 {
    100% {background-size:120% 100%}
}


.highlight {
    background-color: blue;
}